OGRE: Ogre::TransformKeyFrame Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::TransformKeyFrame Class Reference

Specialised KeyFrame which stores a full transform. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::TransformKeyFrame:

[legend]
List of all members.

## Public Member Functions

| TransformKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~TransformKeyFrame ()
virtual void | setTranslate (const Vector3 &trans)
| Sets the translation associated with this keyframe.
const Vector3 & | getTranslate (void) const
| Gets the translation applied by this keyframe.
virtual void | setScale (const Vector3 &scale)
| Sets the scaling factor applied by this keyframe to the animable object at it's time index.
virtual const Vector3 & | getScale (void) const
| Gets the scaling factor applied by this keyframe.
virtual void | setRotation (const Quaternion &rot)
| Sets the rotation applied by this keyframe.
virtual const Quaternion & | getRotation (void) const
| Gets the rotation applied by this keyframe.
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Protected Attributes

Vector3 | mTranslate
Vector3 | mScale
Quaternion | mRotate
Real | mTime
const AnimationTrack * | mParentTrack

## Detailed Description

Specialised KeyFrame which stores a full transform.

Definition at line 97 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::TransformKeyFrame::TransformKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |

| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Ogre::TransformKeyFrame::~TransformKeyFrame | ( |  | ) |

| Definition at line 102 of file OgreKeyFrame.h.

## Member Function Documentation

KeyFrame* Ogre::TransformKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

| Clone a keyframe (internal use only). Reimplemented from Ogre::KeyFrame.

virtual const Quaternion& Ogre::TransformKeyFrame::getRotation | ( | void |  | ) | const`[virtual]`

| Gets the rotation applied by this keyframe.

virtual const Vector3& Ogre::TransformKeyFrame::getScale | ( | void |  | ) | const`[virtual]`

| Gets the scaling factor applied by this keyframe.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const`[inherited]`

| Gets the time of this keyframe in the animation sequence. Definition at line 60 of file OgreKeyFrame.h.

const Vector3& Ogre::TransformKeyFrame::getTranslate | ( | void |  | ) | const

| Gets the translation applied by this keyframe.

virtual void Ogre::TransformKeyFrame::setRotation | ( | const Quaternion & | rot | ) | `[virtual]`

Sets the rotation applied by this keyframe.

Parameters:

  | rot | The rotation applied; use Quaternion methods to convert from angle/axis or Matrix3 if you don't like using Quaternions directly.

virtual void Ogre::TransformKeyFrame::setScale | ( | const Vector3 & | scale | ) | `[virtual]`

Sets the scaling factor applied by this keyframe to the animable object at it's time index.

Parameters:

  | scale | The vector to scale by (beware of supplying zero values for any component of this vector, it will scale the object to zero dimensions)

virtual void Ogre::TransformKeyFrame::setTranslate | ( | const Vector3 & | trans | ) | `[virtual]`

Sets the translation associated with this keyframe.

Remarks:
  The translation factor affects how much the keyframe translates (moves) it's animable object at it's time index.

Parameters:

  | trans | The vector to translate by

## Member Data Documentation

const AnimationTrack* Ogre::KeyFrame::mParentTrack`[protected, inherited]`

| Definition at line 68 of file OgreKeyFrame.h.

Quaternion Ogre::TransformKeyFrame::mRotate`[protected]`

| Definition at line 138 of file OgreKeyFrame.h.

Vector3 Ogre::TransformKeyFrame::mScale`[protected]`

| Definition at line 137 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime`[protected, inherited]`

| Definition at line 67 of file OgreKeyFrame.h.

Vector3 Ogre::TransformKeyFrame::mTranslate`[protected]`

| Definition at line 136 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:59 2008